Create Payment Order V2
POST https://demo-api.vivapayments.com/checkout/v2/orders
Request Body
{"amount"=>1234, "customerTrns"=>"string", "customer"=>{"email"=>"string", "fullName"=>"string", "phone"=>"string", "countryCode"=>"string", "requestLang"=>"string"}, "dynamicDescriptor"=>"Descriptor", "currencyCode"=>978, "paymentTimeout"=>1800, "preauth"=>false, "allowRecurring"=>false, "maxInstallments"=>0, "forceMaxInstallments"=>false, "paymentNotification"=>false, "tipAmount"=>0, "disableExactAmount"=>false, "disableCash"=>false, "disableWallet"=>false, "sourceCode"=>"Default", "merchantTrns"=>"string", "tags"=>["tag 1", "tag 2"], "paymentMethodFees"=>[{"paymentMethodId"=>"35", "fee"=>250}], "cardTokens"=>["ct_5d0a4e3a7e04469f123456"], "isCardVerification"=>false, "klarnaOrderOptions"=>{"attachment"=>{"body"=>"string", "contentType"=>"string"}, "billingAddress"=>{"city"=>"London", "email"=>"johndoe@example.com", "phone"=>"01234567890", "title"=>"Mr", "region"=>"string", "country"=>"GB", "attention"=>"string", "givenName"=>"John", "familyName"=>"Doe", "postalCode"=>"SW11 1AA", "streetAddress"=>"1 Test Street", "streetAddress2"=>"Flat 5", "organizationName"=>"string"}, "shippingAddress"=>{"city"=>"London", "email"=>"johndoe@example.com", "phone"=>"01234567890", "title"=>"Mr", "region"=>"string", "country"=>"GB", "attention"=>"string", "givenName"=>"John", "familyName"=>"Doe", "postalCode"=>"SW11 1AA", "streetAddress"=>"1 Test Street", "streetAddress2"=>"Flat 5", "organizationName"=>"string"}, "orderLines"=>{"name"=>"Product", "type"=>"physical", "taxRate"=>"2000", "quantity"=>"1", "unitPrice"=>"5000", "imageUrl"=>"https://www.example.com/example", "reference"=>"987654", "totalAmount"=>"4000", "productUrl"=>"https://www.example.com/example", "merchantData"=>"string", "quantityUnit"=>"pcs", "totalTaxAmount"=>"1000", "totalDiscountAmount"=>"1000", "subscription"=>{"name"=>"string", "interval"=>"MONTH", "intervalCount"=>"3"}, "productIdentifiers"=>{"size"=>"12", "brand"=>"Acme", "color"=>"Teal", "categoryPath"=>"Clothing > Women's > Dresses", "globalTradeItemNumber"=>"123-456-789", "manufacturerPartNumber"=>"123456789000"}}}}